Skip to content
PaloNexus
Request access Request

Check Delegation

GET
/v1/delegations/check
curl --request GET \
--url 'https://example.com/v1/delegations/check?actor=example&task=example&action=example&resource=example'
actor
required
Actor
string
task
required
Task
string
action
required
Action
string
resource
required
Resource
string

Successful Response

Media type application/json
CheckResponse
object
ok
required
Ok
boolean
reason
required
Reason
string
vcJti
Any of:
string
notAfter
Any of:
integer
Example generated
{
"ok": true,
"reason": "example",
"vcJti": "example",
"notAfter": 1
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}